LazyTagLibraryLookup (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.test.mixin.support
[Java] Class LazyTagLibraryLookup

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.TagLibraryLookup
          grails.test.mixin.support.LazyTagLibraryLookup

    @java.lang.SuppressWarnings({ "unchecked", "rawtypes" })
    public class LazyTagLibraryLookup
    extends TagLibraryLookup

Lazy implementation of the tag library lookup class designed for testing purposes.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary

Fields inherited from class TagLibraryLookup
applicationContext, encodeAsForTagNamespaces, grailsApplication, namespaceDispatchers, tagNamespaces, tagsThatReturnObjectForNamespace

Method Summary
`groovy.lang.GroovyObject` | `lookupTagLibrary(java.lang.String namespace, java.lang.String tagName)`
`protected void` | `putTagLib(java.util.Map tags, java.lang.String name, GrailsTagLibClass taglib)`
`void` | `registerTagLib(GrailsTagLibClass taglib)`
`protected void` | `registerTagLibraries()`
`protected java.lang.String` | `tagNameKey(java.lang.String namespace, java.lang.String tagName)`

Methods inherited from class TagLibraryLookup
afterPropertiesSet, doesTagReturnObject, getAvailableNamespaces, getEncodeAsForTag, hasNamespace, lookupNamespaceDispatcher, lookupTagLibrary, putTagLib, registerTagLib, registerTagLibraries, registerTemplateNamespace, setApplicationContext, setGrailsApplication

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### lookupTagLibrary

    @java.lang.Override
    public groovy.lang.GroovyObject lookupTagLibrary(java.lang.String namespace, java.lang.String tagName)

### putTagLib

    @java.lang.Override
    protected void putTagLib(java.util.Map tags, java.lang.String name, GrailsTagLibClass taglib)

### registerTagLib

    @java.lang.Override
    public void registerTagLib(GrailsTagLibClass taglib)

### registerTagLibraries

    @java.lang.Override
    protected void registerTagLibraries()

### tagNameKey

    protected java.lang.String tagNameKey(java.lang.String namespace, java.lang.String tagName)

Groovy Documentation